org.apache.commons.math3.ode

## Class AbstractParameterizable

- java.lang.Object
- - org.apache.commons.math3.ode.AbstractParameterizable

- All Implemented Interfaces:
    Parameterizable

      public abstract class AbstractParameterizable
      extends Object
      implements Parameterizable

  This abstract class provides boilerplate parameters list.
  Since:
    3.0
  Version:
    $Id: AbstractParameterizable.java 1244107 2012-02-14 16:17:55Z erans $

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractParameterizable(Collection<String> names)` Simple constructor.
    `protected` | `AbstractParameterizable(String... names)` Simple constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `complainIfNotSupported(String name)` Check if a parameter is supported and throw an IllegalArgumentException if not.
    `Collection<String>` | `getParametersNames()` Get the names of the supported parameters.
    `boolean` | `isSupported(String name)` Check if a parameter is supported.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractParameterizable

          protected AbstractParameterizable(String... names)

      Simple constructor.
      Parameters:
        `names` - names of the supported parameters

    - #### AbstractParameterizable

          protected AbstractParameterizable(Collection<String> names)

      Simple constructor.
      Parameters:
        `names` - names of the supported parameters

  - ### Method Detail

    - #### getParametersNames

          public Collection<String> getParametersNames()

      Get the names of the supported parameters.
      Specified by:
        `getParametersNames` in interface `Parameterizable`
      Returns:
        parameters names
      See Also:
        `Parameterizable.isSupported(String)`

    - #### isSupported

          public boolean isSupported(String name)

      Check if a parameter is supported.

      Supported parameters are those listed by `Parameterizable.getParametersNames()`.

      Specified by:
        `isSupported` in interface `Parameterizable`
      Parameters:
        `name` - parameter name to check
      Returns:
        true if the parameter is supported
      See Also:
        `Parameterizable.getParametersNames()`

    - #### complainIfNotSupported

          public void complainIfNotSupported(String name)
                                      throws MathIllegalArgumentException

      Check if a parameter is supported and throw an IllegalArgumentException if not.
      Parameters:
        `name` - name of the parameter to check
      Throws:
        `MathIllegalArgumentException` - if the parameter is not supported
      See Also:
        `isSupported(String)`

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.